Tuesday, July 18, 2017

EBS 12.2 -- Watch out the Grid Version!. Don't use 12.2 Grid with EBS ! (at least for now...)

Here is a little but important info for you.
If you plan to use 12.2 Grid with the EBS, then you should read this.

You may already know that, EBS installer (rapidwiz) delivers a 12.1.0.2 Oracle Database, when used with the latest startCD (startCD51).

Normally, Grid Infra version can be higher than the RDBMS version. (as long as the RDBMS compatability is set accordingly). We know that..

However; while trying to use an EBS Database (RDBMS version 12.1.0.2) with 12.2 grid infra; we discovered a project stopper bug.

Because of this bug, rman or dbca or any other tool can not write to ASM diskgroups.

They are all failing with ORA-15040, although all the ASM diskgroups are mounted and all the OS disk permissions are correctly set.

The problem is caused by "Bug 21626377 - 12.2_150812: DBCA FAILS TO CREATE 12102 DB OVER 12.2 GI/ASM .

The solution seems to be applying the latest Database Bundle Patch. (12.1.0.2.170117 DB BP or above)

The size of this bundle is almost 1.3 Gigabytes and putting it to the EBS install stage is a big customization for us and ofcourse, for the project. (we need to repackage our stage and make a custom stage, because we need to make Rapidwiz install this BP during the EBS installation)

That's why, we decided to reinstall the Grid Infra. Today, we will delete the current 12.2 Grid Infra installation and install a fresh 12.1 Grid Infra.
In short, if you going to place your EBS database on ASM; or let's say; if you want your EBS database to be RAC , then go for a 12.1 Grid installation. (do not try to use 12.2 Grid.. at least for now..) 

Following table shows the latest EBS/RDBMS/GRID component versions for a troubleless EBS 12.2 installation.

ComponentApplicable Versions
Oracle E-Business Suite Release 1212.2.4, 12.2.5, 12.2.6
Oracle Database12.1.0.2
Oracle Cluster Ready Services12.1.0.2

No comments :

Post a Comment